﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using Mcs.CMOS.SpikeView;

namespace CMOS_MEA_Client
{
    public partial class MainForm : Form
    {
        private Control control;



        public MainForm()
        {
            InitializeComponent();

            control = new Control();

            control.ClientTool.UserInterface.Dock = DockStyle.Fill;
            splitContainer1.Panel1.Controls.Add(control.ClientTool.UserInterface);

            control.SpikeViewTool.View.Dock = DockStyle.Fill;
            splitContainer1.Panel2.Controls.Add(control.SpikeViewTool.View);
        }

        private void OnFormClosing(object sender, FormClosingEventArgs e)
        {
            control.Close();
        }

        private void OnToolStripButtonSettings(object sender, EventArgs e)
        {
            DlgSettingsSpikeViewTool dlg = new DlgSettingsSpikeViewTool(control.SpikeViewTool.Settings);
            dlg.Location = MousePosition;
            if (dlg.ShowDialog() == DialogResult.OK)
            {
            }
        }
    }
}
